## sphinxcontrib-pecanwsme 0.8.0

=== requirements.txt ===
sphinxcontrib-httpdomain

## sphinxcontrib-pecanwsme 0.5

=== debian/changelog ===
sphinxcontrib-pecanwsme (0.5-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 05 Oct 2013 17:47:14 +0800

sphinxcontrib-pecanwsme (0.2-3) unstable; urgency=low

  * Using python-sphinxcontrib-pecanwsme as binary now.
  * Depends on python-sphinxcontrib-httpdomain as it should.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Jul 2013 17:53:37 +0800

sphinxcontrib-pecanwsme (0.2-2) unstable; urgency=low

  * Missing build-depends: python-pbr, python-d2to1, python-setuptools-git.
  * Cleans correctly (package can build twice).

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Jul 2013 23:13:35 +0800

sphinxcontrib-pecanwsme (0.2-1) unstable; urgency=low

  * Initial release. (Closes: #717467)

 -- Thomas Goirand <zigo@debian.org>  Sun, 21 Jul 2013 13:41:30 +0800

=== debian/control ===
Source: sphinxcontrib-pecanwsme
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-d2to1,
               python-pbr,
               python-pip,
               python-setuptools,
               python-setuptools-git
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/sphinxcontrib-pecanwsme.git
Vcs-Git: git://anonscm.debian.org/openstack/sphinxcontrib-pecanwsme.git
Homepage: https://github.com/dreamhost/sphinxcontrib-pecanwsme

Package: python-sphinxcontrib-pecanwsme
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-sphinxcontrib-httpdomain, ${misc:Depends}, ${python:Depends}
Recommends: ${python:Recommends}
Description: documenting APIs built with Pecan and WSME
 sphinxcontrib.pecanwsme is an extension to Sphinx for documenting APIs built
 with Pecan and WSME.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/dreamhost/sphinxcontrib-pecanwsme.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf sphinxcontrib_pecanwsme.egg-info

## sphinxcontrib-pecanwsme 0.8.0

=== debian/changelog ===
sphinxcontrib-pecanwsme (0.8.0-8) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Removed Python 2 support (Closes: #938536).

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Sep 2019 10:30:16 +0200

sphinxcontrib-pecanwsme (0.8.0-7) unstable; urgency=medium

  * More Py3 compat.
  * Fixed debian/watch file to use github tags instead of pypi.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Dec 2017 11:42:33 +0000

sphinxcontrib-pecanwsme (0.8.0-6) unstable; urgency=medium

  * Add import-reduce.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Dec 2017 01:18:11 +0100

sphinxcontrib-pecanwsme (0.8.0-5) unstable; urgency=medium

  * Fixed d/copyright as advised by FTP masters (Closes: #884985).

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Dec 2017 00:42:15 +0100

sphinxcontrib-pecanwsme (0.8.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * Add Python 3 support.
  * Standards-Version is now 4.1.2.
  * Some fixes in debian/copyright.
  * Ran wrap-and-sort -bast.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Dec 2017 09:46:31 +0100

sphinxcontrib-pecanwsme (0.8.0-3) unstable; urgency=medium

  * Using python-sphinxcontrib.httpdomain, and not the transition package
    python-sphinxcontrib-httpdomain.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Sep 2015 10:26:27 +0000

sphinxcontrib-pecanwsme (0.8.0-2) unstable; urgency=medium

  * Removed python-pip from build-depends (Closes: #777606).
  * Added build-depends: dh-python, removed version for python-all.
  * Standards-Version: 3.9.6

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 May 2015 09:54:54 +0200

sphinxcontrib-pecanwsme (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed d2to1 and setuptools-git from build-depends.
  * Added extend-diff-ignore = "^[^/]*[.]egg-info/" in debian/source/options,
    removed the removal of the egg-info folder.
  * Longer long description.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Jun 2014 15:32:48 +0800

sphinxcontrib-pecanwsme (0.7-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Mar 2014 22:59:42 +0800

sphinxcontrib-pecanwsme (0.6-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: is now 3.9.5.

 -- Thomas Goirand <zigo@debian.org>  Sat, 08 Feb 2014 14:48:55 +0800

=== debian/control ===
Source: sphinxcontrib-pecanwsme
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-pbr,
 python3-setuptools,
Standards-Version: 4.1.2
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/sphinxcontrib-pecanwsme
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/sphinxcontrib-pecanwsme.git
Homepage: https://github.com/dreamhost/sphinxcontrib-pecanwsme

Package: python3-sphinxcontrib-pecanwsme
Architecture: all
Depends:
 python3-sphinxcontrib.httpdomain,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python:Recommends},
Description: documenting APIs built with Pecan and WSME - Python 3.x
 sphinxcontrib.pecanwsme is an extension to Sphinx for documenting APIs built
 with Pecan and WSME.
 .
 The Pecan Python module is a WSGI object-dispatching web framework designed to
 be lean and fast with few dependencies. Pecan comes bundled with a lightweight
 WSGI development server based on Python's wsgiref.simpleserver. Pecan
 applications also come with an interactive Python shell which can be used to
 execute expressions in an environment very similar to the one your application
 runs in (using the "pecan shell" command).
 .
 WSGI is the "Web Server Gateway Interface". It defines a simple and universal
 interface between web servers and web applications or frameworks for the
 Python programming language.
 .
 Web Service Made Easy (WSME) simplify the writing of REST web services by
 providing simple yet powerful typing which removes the need to directly
 manipulate the request and the response objects.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/dreamhost/sphinxcontrib-pecanwsme.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

## sphinxcontrib-pecanwsme 0.10.0

=== requirements.txt ===
six
sphinxcontrib-httpdomain

=== debian/changelog ===
sphinxcontrib-pecanwsme (0.10.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047254).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 11:16:09 +0200

sphinxcontrib-pecanwsme (0.10.0-2) unstable; urgency=medium

  * Add py3.11-use-getfullargspec.patch (Closes: #1028154).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Jan 2023 09:15:43 +0100

sphinxcontrib-pecanwsme (0.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Added python3-six as (build-)depends.
  * Removed patches applied upstream:
    - import-reduce.patch
    - more-python3-compat.patch

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 22:58:09 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,8 @@
  python3-all,
  python3-pbr,
  python3-setuptools,
+Build-Depends-Indep:
+ python3-six,
 Standards-Version: 4.1.2
 Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/sphinxcontrib-pecanwsme
 Vcs-Git: https://salsa.debian.org/openstack-team/third-party/sphinxcontrib-pecanwsme.git
@@ -19,6 +21,7 @@
 Package: python3-sphinxcontrib-pecanwsme
 Architecture: all
 Depends:
+ python3-six,
  python3-sphinxcontrib.httpdomain,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	dh $@ --buildsystem=python_distutils --with python3
 
 override_dh_auto_clean:
-	echo "Do nothing..."
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/dreamhost/sphinxcontrib-pecanwsme/tags .*/(\d[\d\.]+)\.tar\.gz

## sphinxcontrib-pecanwsme 0.11.0

=== debian/changelog ===
sphinxcontrib-pecanwsme (0.11.0-1) unstable; urgency=medium

  * New upstream release.
    - Do not need -six anymore (Closes: #1087924).
  * Removed py3.11-use-getfullargspec.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Jan 2025 12:30:21 +0100

sphinxcontrib-pecanwsme (0.10.0-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090695).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 09:47:53 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,10 @@
 Build-Depends:
  debhelper-compat (= 10),
  dh-python,
- openstack-pkg-tools (>= 99~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
-Build-Depends-Indep:
- python3-six,
 Standards-Version: 4.1.2
 Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/sphinxcontrib-pecanwsme
 Vcs-Git: https://salsa.debian.org/openstack-team/third-party/sphinxcontrib-pecanwsme.git
@@ -21,7 +19,6 @@
 Package: python3-sphinxcontrib-pecanwsme
 Architecture: all
 Depends:
- python3-six,
  python3-sphinxcontrib.httpdomain,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	rm -rf build .stestr *.egg-info
